LINUX.ORG.RU

План подготовки FreeBSD 8.1

 


0

0

В списках рассылки FreeBSD был опубликован план подготовки релиза FreeBSD 8.1.

Основные пункты:

  • 24 мая 2010 будет заморожена кодовая база
  • 28 мая 2010 выйдет первая бета-версия
  • 21 июня 2010 будет выпущен первый релиз-кандидат
  • 25 июня 2010 выйдет второй релиз-кандидат
  • 9 июля 2010 состоится релиз версии 8.1

Также появилось сообщение о конце поддержки FreeBSD 7.2 30 июня.

>>> Подробности

Deleted

Проверено: JB ()

фичи где? без них срача не будет

Hokum ☆☆☆☆ ()
Ответ на: комментарий от Hokum

Фичи для срача

+ ATI R600/700 KMS/DRI.
+ Xorg 7.5
+ GNOME 2.30

iZEN ★★★★★ ()

+ ATI R600/700 KMS/DRI.
+ Xorg 7.5
+ GNOME 2.30

что-то даже и не интересно... Может еще что есть чего нет в GNU/Linux?

Sylvia ★★★★★ ()
Ответ на: комментарий от Sylvia

В FreeBSD:

>Может еще что есть чего нет в GNU/Linux?

Стабильный ABI.
Неломающийся GRUB (его там нет).
Логическое разделение на системное и прикладное ПО (обновляется поотдельности).
Компиляция, как естественный способ получить работающее ПО.

iZEN ★★★★★ ()

>24 мая 2010 будет заморожена кодовая база

Давно пора, а то тухнуть начинает

devl547 ★★★★★ ()
Ответ на: В FreeBSD: от iZEN

>Стабильный ABI.

Ну правильно - все его трогать боятся, вдруг развалится

Неломающийся GRUB (его там нет).


Даже его прикрутить не осилили

Логическое разделение на системное и прикладное ПО


emerge @system и так далее?

Компиляция, как естественный способ получить работающее ПО.


gentoo, crux, slackware... толсто

devl547 ★★★★★ ()
Ответ на: В FreeBSD: от iZEN

в линукс это есть или не нужно.
Ведь все равно линуксулятор ставите? Зачем ?)

Sylvia ★★★★★ ()
Ответ на: комментарий от Sylvia

linux.ko нужно для…

Ведь все равно линуксулятор ставите? Зачем ?)

…для того, чтобы работали вот эти вот 372 «блоба».

Здесь «блобы» в том смысле, что сильно завязаны на Linux и/или нет возможности пропатчить исходники для сборки ПО под FreeBSD.

iZEN ★★★★★ ()
Ответ на: комментарий от devl547

devl547

Ну правильно - все его трогать боятся, вдруг развалится

Ну, в Линуксе не боятся и получают очередной Songbird.

Если Ларри, ну станет красноглазым Гвинпинутым на голову например, всё-таки зажмёт ОпенСолярку, то есть возможность перейти на адекватную систему.

vOrOn ()
Ответ на: комментарий от vOrOn

>то есть возможность перейти на адекватную систему.

Ну да, Linux вполне адекватен

devl547 ★★★★★ ()
Ответ на: комментарий от Sylvia

> все равно линуксулятор ставите

Для отвода глаз. Все нужные компоненты пингвинов уже давно во freebsd приняли

devl547 ★★★★★ ()
Ответ на: комментарий от devl547

> Ну да, Linux вполне адекватен

Ага, аж два раза, туда и обратно, если покупать за деньги от корпораций, причём сумма, в конечном результате, превышает стоимость схожей продукции Микрософта.

Ну, да это все и наблюдают на основании всяких таких «бесплатных» внедрений в образовательную систему России и её любимого Почтамта.

vOrOn ()
Ответ на: комментарий от vOrOn

А FreeBSD куда-нибудь распространяют? В госучреждения?

Есть такая вещь, как российское законодательство, по которому даже opensource без бумажки является контрафактом. Лицензия на ПО должна быть обязательна. И распечатанная GPL/BSD тут не поможет. Поэтому и покупают дистрибутивы и лицензии. А если бы не это законодательство - такого бы не было, и покупался Linux бы только теми, кому нужен дистриб/апдейты/поддержка конкретно от одной компании, зарекомендовавшей себя.

Так что ваш пост не имеет никакого смысла (по крайней мере, в России)

some-body ★★ ()
Ответ на: комментарий от some-body

В отличие от GNU/Linux, лицензия в электронном виде лежит в корневом каталоге установленной FreeBSD.

iZEN ★★★★★ ()
Ответ на: комментарий от iZEN
[somebody@laptop]:~$ locate -i license | wc -l
566

Но и это ничем не поможет :)

some-body ★★ ()
Ответ на: комментарий от some-body

От целенаправленного рейда ничего не поможет. Это да.

А вот наличие и состав ПО (так называемое «стандартное» и «прикладное») определяется отнюдь не качеством лицензий (договор оферты в электронном виде всё-таки признают), а целевым назначением ПО. А уж лицензия есть у всякого ПО, даже у контрафактного (сюрприз?).

И, да, в этой стране презумпция невиновности всё ещё работает, если нет прямых улик нарушения режима закона.

iZEN ★★★★★ ()
Ответ на: комментарий от iZEN

> И, да, в этой стране презумпция невиновности всё ещё работает, если нет прямых улик нарушения режима закона.
Однако опечатать и забрать серверы это не помешает :(

some-body ★★ ()
Ответ на: комментарий от some-body

Путин сказал, чтобы перестали кошмарить частный бизнес.

iZEN ★★★★★ ()
Ответ на: комментарий от iZEN

презумпция невиновности всё ещё работает

В уголовных делах же, не в гражданских.

Xenesz ★★★★ ()
Ответ на: комментарий от Xenesz

Забор имущества на экспертизу как бы предполагает открытие уголовного дела. Не?

iZEN ★★★★★ ()
Ответ на: Фичи для срача от iZEN

Хм, а баг поправят с ati? Когда после долгого аптайма рестартуешь X'ы и фигу тебе вместо DRI. rnoland про него в курсе, даже патчи писал, которые у меня не работали (т.е. - баг все еще оставался)

NekoExMachina ()
Ответ на: Фичи для срача от iZEN

а будет диспетчер процессов из макоси (не помню, как называлась эта штука, которую эппловцы зарелизили под лицензией Apache)?

annulen ★★★★★ ()

А в какой версии этим можно будет пользоваться? До десятой справятся?

Divius ★★ ()
Ответ на: комментарий от iZEN

>лежит в корневом каталоге установленной FreeBSD.

Это та eula на диске C: ?

devl547 ★★★★★ ()
Ответ на: комментарий от iZEN

Путин сказал, чтобы перестали кошмарить частный бизнес.

расскажи это ребятам держащим платежные терминалы, вместе посмеетесь.

splinter ★★★★★ ()
Ответ на: комментарий от Sylvia

>в линукс это есть или не нужно.

В Linux есть стабильный ABI? то-то для каждой новой версии ядра нужна пересборка сторонних драйверов. По логике, вендорам фряха гораздо удобнее, так ABI стабилен и нет майндфака с лицензией. GPL вообще-то запрещает линковку с проприетарными блобами, а разработчкам волей-не волей приходится использовать GPL-код, пусть даже заголовки. Странно, что фряха так позорно сливает по используемости

annulen ★★★★★ ()
Ответ на: комментарий от some-body

>Лицензия на ПО должна быть обязательна.

а еще для внедрения надо, чтобы кто-то отвечал рублем или еще чем-то за критические баги

annulen ★★★★★ ()
Ответ на: В FreeBSD: от iZEN

Логическое разделение на системное и прикладное

ПО (обновляется поотдельности).


Хм. Те новые прикладные проги не пишут с использованием новых
системных фич ? Или я тебя не понял ?

mx_ ()
Ответ на: комментарий от annulen

> В Linux есть стабильный ABI? то-то для каждой новой версии ядра нужна пересборка сторонних драйверов.

Вы дурак или не знаете смысл буквы «A» в слове «ABI»?

sv75 ★★★★★ ()
Ответ на: комментарий от splinter

> расскажи это ребятам держащим платежные терминалы, вместе посмеетесь.

Это не «кошмарить», а логичное расширение зоны «контрольно-кассовой техники», увы.

sv75 ★★★★★ ()
Ответ на: комментарий от sv75

Изен говорил про ядро. У него тоже есть понятие ABI, не надо цепляться к словам

annulen ★★★★★ ()
Ответ на: комментарий от sv75

в прикладных программах каждый разработчик ломает сам, ось тут не при чем

annulen ★★★★★ ()
Ответ на: комментарий от annulen

а, еще феерически доставляют несовместимости в glibc и libstdc++

annulen ★★★★★ ()
Ответ на: комментарий от annulen

Изен говорил про ядро.

Ну, если это так, то я признаю, что не прав и виноват. Только вот стабильность там только в пределах N.k -> N.k+1, ну и никто ничего не обещает:

PS. do note that there is no 100% guarantee. At times the defacto policy might be violated if there are very good reasons for doing so. This would e.g. an important fix for something where the changed ABI, more likely K(kernel)BI, change should affect few people and the change is required for fixing some important bug.

sv75 ★★★★★ ()
Ответ на: комментарий от annulen

> а, еще феерически доставляют несовместимости в glibc и libstdc++

Ну это другая тема, я полагаю Izen по это и говорил.

sv75 ★★★★★ ()

/me хотел напомнить добавить тег «срач», да уже ни к чему...

P.S. Без фич срач был бы не полным

anonymous ()
Ответ на: комментарий от annulen

в прикладных программах каждый разработчик ломает сам,

ось тут не при чем

Ага мы курсе. Все гадали почему ( какой то 7х бсд ) в портах
был апач1 а апач2 не рекомендовали ставить ...

Пиз... дальше.

mx_ ()
Ответ на: комментарий от sv75

ага, видел каталог из 250 видов ККТ но ни один из них в терминалы поставить нельзя, еще эта фискализация черт бы их всех побрал. Они же итак все контролируют, оплата же через банки идет, накой хрен им доступ в терминалы?

splinter ★★★★★ ()
Ответ на: комментарий от splinter

> Они же итак все контролируют, оплата же через банки идет, накой хрен им доступ в терминалы?

Покупателю нужен чек ККТ, в теории %(

sv75 ★★★★★ ()
Ответ на: комментарий от sv75

Так раньше итак чек печатался, только на принтере, нафиг эта фискализация нужна? Я теперь голову ломаю с этими Комбо-Штрихами никак ПО в фискальный режим перевести не могу, а на другой принтер VT-800 надо дополнительный фискальный модуль докупать и потом его ПО как то фискалить. Вообщем первоапрельская шутка у них удалась.

splinter ★★★★★ ()
Ответ на: комментарий от annulen

GPL вообще-то запрещает линковку с проприетарными блобами, а разработчкам волей-не волей приходится использовать GPL-код, пусть даже заголовки. Странно, что фряха так позорно сливает по используемости

Так используют пользователи. Во фряхе ставить пакеты (которых там нет) и отслеживать зависимости существенно сложнее. Вот я маме поставил Simply Linux, а фряху бы не поставил. И мой кузен освоил apt-get install и apt-get dist-upgrade, а с портами такое не прокатит.

К тому же у фряхи нехорошая репутация: корпорации вкладываются в линь в том числе и потому, что знают, что конкурент не сможет утырить и продать их разработки, а во фряхи это легко реализуемо. Никто не будет вкладываться в общее дело, если знает, что оно в любой момент может быть кем-то приватизировано. Поэтому фряха никогда и не будет даже на одном уровне популярности и востребованности с линём.

Vudod ★★★★★ ()
Ответ на: Фичи для срача от iZEN

Re: План подготовки FreeBSD 8.1

Цитируем iZEN

+ ATI R600/700 KMS/DRI. + Xorg 7.5 + GNOME 2.30

Ничего интересного скопипастить не удосужились. Игра в догонялки идёт вяло.

shahid ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.